/* 
   bttvgrab 0.15.0 [1999-01-18]
   (c) 1998, 1999 by Joerg Walter <trouble@moes.pmnet.uni-oldenburg.de>
   Maintained by: Joerg Walter
   Current version at http://moes.pmnet.uni-oldenburg.de/bttvgrab/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <fcntl.h>
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <errno.h>
#include "output_pnm.h"
#include "error.h"

/************ Prototypes ************/

void output_pnm_start();
void output_pnm_write(int fbnr, int picnr);
void output_pnm_stop();

/************************************/

char output_pnm_magic[128] = "";

void output_pnm_start()
{
	char tmp[80];

	output_inquire("color_fmt",tmp);
	if (!strcmp(tmp,"GREY8")) strcpy(tmp,"P5");
	else if (!strcmp(tmp,"RGB24")) strcpy(tmp,"P6");
	else {
		ERROR(INTMSG("invalid pnm color format: %s"),tmp);
		exit(1);
	}
	sprintf(output_pnm_magic,"%s\n%i %i\n255\n",tmp,output_width,output_height);

	output_inquire("file_fmt str",tmp);
	transport_wstart(tmp,output_width,output_height,1);
}

void output_pnm_write(int fbnr, int picnr)
{
	transport_wframe(picnr);
	transport_write(output_pnm_magic,strlen(output_pnm_magic));
	transport_write(output_ptrs[fbnr][0],output_bytes);
}

void output_pnm_stop()
{
}
